Library Version 11.2.5.3

DbSite::get_eid()
Prev | Chapter 11. Replication Methods | Next

## DbSite::get_eid()

    #include <db_cxx.h>

    int
    DbSite::get_eid(int *eidp);

The `DbSite::get_eid()` method returns a replication site's Environment ID (EID). This method can be called only after environment open.

The `DbSite::get_eid()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### eidp

References memory into which the EID will be copied.

### Errors

The `DbSite::get_eid()` method may fail and throw a DbException exception, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

#### EINVAL

If an invalid flag value or parameter was specified.

### Class

DbSite

### See Also

Replication and Related Methods

Prev | Up | Next
DbSite::get_address() | Home | DbSite::remove()